SHRED(1)

NOM
shred - Écrire par dessus un fichier pour en camoufler le contenu, et optionnellement l'effacer

SYNOPSIS
shred [OPTION]... [FICHIER]...

DESCRIPTION

Récrire sur les FICHIERs indiqués, de façon répétée, afin de rendre difficile toute récupération des données, même à l'aide de matériel coûteux.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-f, --force
    modifier les permissions pour permettre l'écriture si nécessaire

-n, --iterations=N
    récrire N fois au lieu du nombre par défaut (3)

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-s, --size=N
    déchiqueter N octets (les suffixes K, M, G sont acceptés)

-u, --remove
    tronquer et supprimer le fichier après l'avoir écrasé

-v, --verbose
    afficher un indicateur de progrès

-x, --exact
    ne pas arrondir la taille des fichiers jusqu'au prochain bloc complet ;

    comportement par défaut pour les fichiers non réguliers

-z, --zero
    ajouter une réécriture finale avec des zéros pour camoufler le déchiquetage du fichier

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'entrée standard est lue quand FICHIER vaut « - ».

Les FICHIERs sont supprimés si --remove (-u) est indiqué. Par défaut les fichiers ne le sont pas car il est fréquent d'opérer sur des fichiers de périphérique tels /dev/hda, et habituellement ces fichiers ne doivent pas être supprimés. Sur des fichier réguliers, la plupart des gens utilise l'option --remove.

ATTENTION : notez que le déchiquetage s'appuie sur l'importante supposition que le système de fichiers écrasera les données sur place. Cela est la manière traditionnelle de faire les choses, mais plusieurs structures modernes de systèmes de fichiers ne remplissent pas cette condition. Voici quelques exemples de systèmes de fichiers sur lesquels shred ne fonctionne pas, ou sur lesquels il n'est pas certain qu'il fonctionne dans tous les modes :

* systèmes de fichiers journalisés ou à structure de journalisation comme ceux fournis avec AIX et Solaris (ainsi que JFS, ReiserFS, XFS, Ext3, etc.)

* systèmes de fichiers avec écriture redondante et continuant à écrire même en cas d'erreur, comme les systèmes de fichiers RAID

* systèmes de fichiers qui effectuent des instantanés, comme le serveur NFS de Network Appliance

* systèmes de fichiers qui mettent en cache dans des dossiers temporaires, comme les clients NFS version 3

* systèmes de fichiers compressés

Dans le cas du système de fichiers ext3, les limitations exposées ci-dessus s'appliquent (et shred est, de fait, d'une efficacité limitée) seulement dans le mode data=journal, qui journalise les données du fichier en plus des métadonnées. Dans les deux modes data=ordered (mode par défaut) et data=writeback, shred fonctionne normalement. Les modes de journalisation du système de fichiers ext3 peuvent être modifiés en ajoutant data=mode aux options de montage d'un système de fichiers particulier dans le fichier /etc/fstab, comme cela est documenté dans la page de manuel de mount (man mount).

Par ailleurs, les systèmes de fichiers de sauvegarde et les miroirs distants peuvent contenir des copies des fichiers qui ne pourront pas être effacées, et qui permettront la récupération ultérieure d'un fichier déchiqueté.

AUTEUR
Écrit par Colin Plumb.

SIGNALER DES BOGUES
Signaler toute anomalie de shred à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de shred à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour shred est disponible dans un manuel Texinfo. Si les programmes info et shred sont correctement installés sur votre système, la commande

    info coreutils 'shred invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Luc Froidefond <luc DOT froidefond AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.